Bug 646286 - openssh-5.[3456]p1-gsskex.patch broken
openssh-5.[3456]p1-gsskex.patch broken
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssh (Show other bugs)
6.1
Unspecified Unspecified
urgent Severity medium
: rc
: ---
Assigned To: Jan F. Chadima
BaseOS QE Security Team
: ZStream
Depends On: 645389
Blocks: 655023 655043
  Show dependency treegraph
 
Reported: 2010-10-25 00:14 EDT by Jan F. Chadima
Modified: 2011-05-19 09:30 EDT (History)
8 users (show)

See Also:
Fixed In Version: openssh-5.3p1-33.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 645389
: 655023 (view as bug list)
Environment:
Last Closed: 2011-05-19 09:30:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed solution (89.75 KB, patch)
2010-11-16 07:01 EST, Jan F. Chadima
no flags Details | Diff

  None (edit)
Description Jan F. Chadima 2010-10-25 00:14:41 EDT
+++ This bug was initially created as a clone of Bug #645389 +++

Description of problem:
The openssh-5.[3456]p1-gsskex.patch says:

@@ -268,6 +321,10 @@ static char *authmethods_get(void);
 
 Authmethod authmethods[] = {
 #ifdef GSSAPI
+	{"gssapi-keyex",
+		userauth_gsskeyex,
+		&options.gss_authentication,
+		NULL},
 	{"gssapi-with-mic",
 		userauth_gssapi,
 		NULL,

However, there should be an additional NULL in the record:

@@ -268,6 +321,11 @@ static char *authmethods_get(void);
 
 Authmethod authmethods[] = {
 #ifdef GSSAPI
+	{"gssapi-keyex",
+		userauth_gsskeyex,
+ 		NULL,
+		&options.gss_authentication,
+		NULL},
 	{"gssapi-with-mic",
 		userauth_gssapi,
 		NULL,

Version-Release number of selected component (if applicable):

openssh-5.6p1-10.fc15
openssh-5.5p1-21.fc14.2
openssh-5.4p1-3.fc13
openssh-5.3p1-19.fc12

Additional info:

The koji buildlog says:

sshconnect2.c:326:3: warning: initialization from incompatible pointer type

--- Additional comment from jchadima@redhat.com on 2010-10-22 11:02:30 EDT ---

confirmed, repaired

--- Additional comment from updates@fedoraproject.org on 2010-10-22 11:06:02 EDT ---

openssh-5.4p1-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/openssh-5.4p1-4.fc13

--- Additional comment from updates@fedoraproject.org on 2010-10-22 11:07:00 EDT ---

openssh-5.5p1-22.fc14.2 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openssh-5.5p1-22.fc14.2
Comment 3 Jan F. Chadima 2010-11-16 07:01:31 EST
Created attachment 460822 [details]
proposed solution
Comment 12 errata-xmlrpc 2011-05-19 09:30:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0598.html

Note You need to log in before you can comment on or make changes to this bug.